import request from '@/utils/request'

// 地图数据加载
export function outProjectMapAccount(query) {
  return request({
      url: '/transaction/bigData/outProjectMapAccount',
      method: 'get',
      params: query
  })
}
//年度成交笔数和金额统计图
export function dealAccount(query) {
  return request({
      url: '/transaction/bigData/dealAccount',
      method: 'get',
      params: query
  })
}
//土地类成交亩数和金额统计图
export function dealTypeAccount(query) {
  return request({
      url: '/transaction/bigData/dealTypeAccount',
      method: 'get',
      params: query
  })
}
//查询区县乡镇成交笔数和金额统计图
export function areaDealAccount(query) {
  return request({
      url: '/transaction/bigData/areaDealAccount',
      method: 'get',
      params: query
  })
}
//土地流转价格走势统计图
export function landPriceAccount(query) {
  return request({
      url: '/transaction/bigData/landPriceAccount',
      method: 'get',
      params: query
  })
}
//竞价率趋势统计图
export function bidRateAccount(query) {
  return request({
      url: '/transaction/bigData/bidRateAccount',
      method: 'get',
      params: query
  })
}
//溢价率趋势统计图
export function premiumRateAccount(query) {
  return request({
      url: '/transaction/bigData/premiumRateAccount',
      method: 'get',
      params: query
  })
}
//受让方类型占比统计
export function assigneeTypeAccount(query) {
  return request({
      url: '/transaction/bigData/assigneeTypeAccount',
      method: 'get',
      params: query
  })
}
//项目交易类型占比统计
export function outProjectTypeAccount(query) {
  return request({
      url: '/transaction/bigData/outProjectTypeAccount',
      method: 'get',
      params: query
  })
}
//数据数字统计
export function itemNumber(query) {
  return request({
      url: '/transaction/bigData/itemNumber',
      method: 'get',
      params: query
  })
}
